%global major 2
%define libname %mklibname ipt %major
%define devname %mklibname -d ipt

Name: libipt
Version: 2.0.1
Release: %mkrel 1
Summary: Intel Processor Trace Decoder Library
Group:	 Development/Tools
License: BSD
URL: https://github.com/01org/processor-trace
Source0: https://github.com/01org/processor-trace/archive/%{name}-%{version}.tar.xz
BuildRequires: gcc-c++ cmake

%description
The Intel Processor Trace (Intel PT) Decoder Library is Intel's reference
implementation for decoding Intel PT.  It can be used as a standalone library
or it can be partially or fully integrated into your tool.

%package -n %libname
Summary: Intel Processor Trace Decoder Library
Group:	System/Libraries

%description -n %libname
The Intel Processor Trace (Intel PT) Decoder Library is Intel's reference
implementation for decoding Intel PT.  It can be used as a standalone library
or it can be partially or fully integrated into your tool.

%package -n %devname
Summary: Header files and libraries for Intel Processor Trace Decoder Library
Group:	Development/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: ipt-devel, libipt-devel

%description -n %devname
The %{name}-devel package contains the header files and libraries needed to
develop programs that use the Intel Processor Trace (Intel PT) Decoder Library.

%prep
%setup -q

%build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DPTUNIT:BOOL=ON \
       -DMAN:BOOL=OFF \
       -DDEVBUILD:BOOL=ON \
       ..
make VERBOSE=1 %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} -C build
%global develdocs howto_libipt.md
(cd doc;cp -p %{develdocs} ..)

%files -n %libname
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %devname
%doc %{develdocs}
%{_includedir}/*
%{_libdir}/%{name}.so

%changelog
* Fri Oct 04 2019 tex - 2.0.1-1pclos2019
- new release
